Page MenuHomePhabricator

dispatch: filter the repository depending on func.cmdtype
ClosedPublic

Authored by pulkit on Oct 17 2017, 8:19 AM.

Details

Summary

This patch adds support for filtering the repository on the basis of
func.cmdtype. After this patch, repo.filtername will be used to decide what
level of access the running command can has on hidden commits.

All this logic is behind a config flag experimental.directacess which defaults
to False.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

pulkit created this revision.Oct 17 2017, 8:19 AM
dlax added a subscriber: dlax.Oct 17 2017, 3:09 PM
indygreg accepted this revision.Oct 18 2017, 12:17 PM
indygreg added a subscriber: indygreg.

Seems reasonable as an experimental feature.

This revision is now accepted and ready to land.Oct 18 2017, 12:17 PM
This revision was automatically updated to reflect the committed changes.
pulkit updated this revision to Diff 3204.Nov 2 2017, 2:05 PM